<template>
  <div>
    <div class="bg-blue-light w-10 h-10 rounded-full flex items-center justify-center p-4 cursor-pointer" @click="$refs.image.click()">
      <a-icon type="camera" class="text-xl" />
      <input ref="image" type="file" class="hidden" @change="onLookup" />
    </div>
    <a-modal v-model="isToggleActive" centered :footer="null" :width="1100">
      <div class="relative mb-8">
        <div class="absolute">
          <b-outline-action-button @click="closeToggle">Back</b-outline-action-button>
        </div>
        <div class="text-center">
          <t-h1 size="text-3xl" weight="bold">Lookup Result</t-h1>
        </div>
      </div>
      <lookup-people-result :is-loading="isLookupPersonsFetching" :items="persons" :error-message="errorLookupPersonsFetching"></lookup-people-result>
    </a-modal>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import TH1 from '~/components/shared/typography/H1'
import BOutlineActionButton from '~/components/shared/buttons/OutlineActionButton'
import LookupPeopleResult from '~/components/lookup/LookupPeopleResult'
import useSharedToggle from '~/composables/useSharedToggle'
import useLookup from '~/composables/useLookupPerson'

export default defineComponent({
  components: {
    LookupPeopleResult,
    BOutlineActionButton,
    TH1,
  },
  setup() {
    return { ...useLookup(), ...useSharedToggle() }
  },
  methods: {
    onLookup(e) {
      this.lookupPerson(e.target.files[0])
      this.openToggle()
      e.target.value = ''
    }
  }
})
</script>
